Bug 1038000 - (CVE-2017-8830) VUL-1: CVE-2017-8830: ImageMagick: denial of service (memory leak) via a crafted file (ReadBMPImage func in bmp.c:1379)
(CVE-2017-8830)
VUL-1: CVE-2017-8830: ImageMagick: denial of service (memory leak) via a craf...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
CVSSv2:SUSE:CVE-2017-8830:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-08 10:43 UTC by Mikhail Kasimov
Modified: 2017-08-25 12:42 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
CVE-2017-8830_testcase (262 bytes, application/octet-stream)
2017-05-08 10:43 UTC, Mikhail Kasimov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2017-05-08 10:43:14 UTC
Created attachment 724119 [details]
CVE-2017-8830_testcase

Ref: https://nvd.nist.gov/vuln/detail/CVE-2017-8830
===================================================
Description

In ImageMagick 7.0.5-6, the ReadBMPImage function in bmp.c:1379 allows attackers to cause a denial of service (memory leak) via a crafted file.
===================================================

Hyperlink

[1] https://github.com/ImageMagick/ImageMagick/issues/467

[2] Testcase: https://github.com/birdg0/poc/blob/master/ImageMagicK/leak-fcd4138d423f1e98d5111d52c9eadeae4a02810e

[3] https://github.com/ImageMagick/ImageMagick/commit/ff2431d8f17d4a7c906438042a649b04aec93558 (master)

[4] https://github.com/ImageMagick/ImageMagick/commit/e3c6338e3a1fe003abf581b5f99f20d94c520e7e (ImageMagick-6)
Comment 1 Petr Gajdos 2017-05-17 10:19:19 UTC
For 12/ImageMagick:

BEFORE

$ valgrind --leak-check=full identify \
> leak-fcd4138d423f1e98d5111d52c9eadeae4a02810e
[..]
==11829==    by 0x4FDADFC: FlipImage (transform.c:1269)
[..]
==11829== ERROR SUMMARY: 15 errors from 5 contexts (suppressed: 0 from 0)
$

AFTER

$ valgrind --leak-check=full identify \
> leak-fcd4138d423f1e98d5111d52c9eadeae4a02810e
[..]
[.. no FlipImage here ..]
[..]
==10541== ERROR SUMMARY: 14 errors from 4 contexts (suppressed: 0 from 0)
$

Similarly for 11/ImageMagick. No error for valgrind --leak-check=full with GraphicsMagick.
Comment 2 Petr Gajdos 2017-05-17 10:37:05 UTC
GraphicsMagick's commit:

http://hg.code.sf.net/p/graphicsmagick/code/diff/1c0d494b7f28/coders/bmp.c
Comment 3 Petr Gajdos 2017-05-17 10:52:32 UTC
Considering affected: 12/ImageMagick, 11/ImageMagick, 11/GraphicsMagick and
42.1/GraphicsMagick

42.2/GraphicsMagick chooses another approach.
Comment 4 Petr Gajdos 2017-05-17 15:13:02 UTC
I believe all fixed.
Comment 11 Swamp Workflow Management 2017-06-06 16:14:09 UTC
SUSE-SU-2017:1489-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Server 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    ImageMagick-6.8.8.1-70.1
Comment 12 Swamp Workflow Management 2017-06-14 13:14:04 UTC
openSUSE-SU-2017:1560-1: An update that fixes 27 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1028075,1033091,1034870,1034872,1034876,1036976,1036977,1036978,1036980,1036981,1036982,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1036991,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2017-6502,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8343,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8347,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8356,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
openSUSE Leap 42.2 (src):    ImageMagick-6.8.8.1-30.3.1
Comment 13 Swamp Workflow Management 2017-06-19 10:12:40 UTC
SUSE-SU-2017:1599-1: An update that fixes 25 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1033091,1034870,1034872,1034876,1036976,1036978,1036980,1036981,1036983,1036984,1036985,1036986,1036987,1036988,1036989,1036990,1037527,1038000,1040025,1040303,1040304,1040306,1040332
CVE References: CVE-2014-9846,CVE-2016-10050,CVE-2017-7606,CVE-2017-7941,CVE-2017-7942,CVE-2017-7943,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8348,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8354,CVE-2017-8355,CVE-2017-8357,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9141,CVE-2017-9142,CVE-2017-9143,CVE-2017-9144
Sources used:
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    ImageMagick-6.4.3.6-7.77.1
SUSE Linux Enterprise Server 11-SP4 (src):    ImageMagick-6.4.3.6-7.77.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    ImageMagick-6.4.3.6-7.77.1
Comment 14 Swamp Workflow Management 2017-06-19 13:11:54 UTC
SUSE-SU-2017:1600-1: An update that fixes 17 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1033091,1034876,1036978,1036980,1036981,1036984,1036985,1036986,1036987,1036988,1036990,1037527,1038000,1040025,1040304,1040332,984144
CVE References: CVE-2014-9847,CVE-2017-7606,CVE-2017-7941,CVE-2017-8344,CVE-2017-8345,CVE-2017-8346,CVE-2017-8349,CVE-2017-8350,CVE-2017-8351,CVE-2017-8352,CVE-2017-8353,CVE-2017-8355,CVE-2017-8765,CVE-2017-8830,CVE-2017-9098,CVE-2017-9142,CVE-2017-9144
Sources used:
SUSE Studio Onsite 1.3 (src):    GraphicsMagick-1.2.5-4.77.1
SUSE Linux Enterprise Software Development Kit 11-SP4 (src):    GraphicsMagick-1.2.5-4.77.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    GraphicsMagick-1.2.5-4.77.1
Comment 15 Marcus Meissner 2017-08-25 12:42:51 UTC
released